<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bReformas,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%@ include file="/m05bIdioma.inc"%>

<HTML>
	
	
<head>
  	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
	
		<%
		String matricula=request.getParameter("Matricula");
		      if (matricula==null || matricula.equals("NULL")){
		          matricula="";

		      }
		String mensaje = request.getParameter("Mensaje");
		      if (mensaje==null || mensaje.equals("NULL")){
		          mensaje="";
		      }
		String codigo;
		codigo = request.getParameter("Codigo");
		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";
		}
		String accion="";
		accion = request.getParameter("Accion");
		if ( (accion==null) || (accion.equals("")) ) {
				accion= "";
		}		
	  m05bReformas reformas = null;		
 
			
		%>
	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
        <title><%= resTit.getString("titVehReformas")%></title>
		<script language="JavaScript">
		     function fncGrabar(codigo,accion) {
                 formatearFecha(document.formReformas.Fecha);
		     	 if (document.formReformas.Fecha.value==""){
		     	 	 alert(dameAlerta(idioma, 1));}
		     	 else{
		     	  if(document.formReformas.CodTaller){
			     	  if(existeCaracter(document.formReformas.CodTaller.value,"\'")||existeCaracter(document.formReformas.CodTaller.value,'\"')){
				 			alert(dameAlerta(idioma, 1));
				 			document.formReformas.CodTaller.focus();
				 			return;
				 	  }
				  }
				  if(document.formReformas.DescTaller){
			     	  if(existeCaracter(document.formReformas.DescTaller.value,"\'")||existeCaracter(document.formReformas.DescTaller.value,'\"')){
				 			alert(dameAlerta(idioma, 1));
				 			document.formReformas.DescTaller.focus();
				 			return;
				 	  }
				  }
				  if(document.formReformas.Marca){
			     	  if(existeCaracter(document.formReformas.Marca.value,"\'")||existeCaracter(document.formReformas.Marca.value,'\"')){
				 			alert(dameAlerta(idioma, 1));
				 			document.formReformas.Marca.focus();
				 			return;
				 	  }
				  }
				  if(document.formReformas.Numero){
			     	  if(existeCaracter(document.formReformas.Numero.value,"\'")||existeCaracter(document.formReformas.Numero.value,'\"')){
				 			alert(dameAlerta(idioma, 1));
				 			document.formReformas.Numero.focus();
				 			return;
				 	  }
				  }
				  if(document.formReformas.Observacion){
			     	  if(existeCaracter(document.formReformas.Observacion.value,"\'")||existeCaracter(document.formReformas.Observacion.value,'\"')){
				 			alert(dameAlerta(idioma, 1));
				 			document.formReformas.Observacion.focus();
				 			return;
				 	  }
				  }
		    	  document.formReformas.Codigo.disabled=false;
		          document.formReformas.action="m05bGrabarReformasServlet?Codigo=" + codigo + "&Accion=" + accion;
		          document.formReformas.submit();}
			}
		</SCRIPT>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_REFORMAS%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_REFORMAS%>";	 
</script>			
		
<%@include file="m05bVehiculosFijo.inc"%>			
<FORM NAME="formReformas" METHOD="POST">
		<%
		String sql = "";
		m05bCombo miCombo2 = new m05bCombo();
		m05bCombo miCombo3 = new m05bCombo();
        m05bCampos miCampo = new m05bCampos();
	    reformas = (m05bReformas)session.getAttribute("m05bReformas");		
        String strCodTaller=""; String strDescTaller="";		
		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bReformas");
			reformas = new m05bReformas();
		    session.setAttribute("m05bReformas",reformas);			
	  	    m05bGenerarClave miID = new m05bGenerarClave();
			String Auxiliar="to_number(" + m05bConstantes.COL_37_CODIGO + ")";
		    int cod = miID.getNextId(m05bConstantes.TAB_REFORMAS, Auxiliar);
			codigo= "" + cod;
	    }else if ((!(mensaje.equals(""))) &&  (accion.equals(m05bConstantes.ACC_INSERTAR))&& (!(mensaje.equals("true")))){
		  	 //si el vehículo no lo hemos recuperado de la base de datos
		  	 //porque es la primera vez que entramos en la pagina
	            m05bGenerarClave miID = new m05bGenerarClave();
	            String Auxiliar="to_number(" + m05bConstantes.COL_37_CODIGO + ")";
	            int cod = miID.getNextId(m05bConstantes.TAB_REFORMAS, Auxiliar);
	            codigo= "" + cod;
	            accion=m05bConstantes.ACC_INSERTAR;	     
	  	     }	         

			else   if ((!(mensaje.equals(""))) &&  (accion.equals(m05bConstantes.ACC_ACTUALIZAR))){
	    
				accion=m05bConstantes.ACC_ACTUALIZAR;

			}else{
				accion=m05bConstantes.ACC_ACTUALIZAR;}		
				
					
     		if (mensaje.equals("true")) {
               outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
			   outMsg.close();
		    }
			if (mensaje.equals(m05bConstantes.MSG_NOEXISTETALL)) {
			      outMsg.println("<script>alert(dameAlerta(idioma, 88));</script>");
            }


		matricula=request.getParameter("Matricula");
		String sObserv=reformas.getRef_observ();
		if (sObserv==null) {
			sObserv="";
		}
		String sMarca=reformas.getRef_marca();
		if (sMarca==null) {
			sMarca="";
		}
		String sNumero=reformas.getRef_numero();
		if (sNumero==null)
			sNumero="";
		//m05bComun comun= new m05bComun();
		String sFecha=reformas.getRef_fecha();
		if (sFecha==null || sFecha.equals(""))
		    sFecha="";
		else
			sFecha=comun.Mes(sFecha,campoTexto3);
		strCodTaller = reformas.getRef_taller();
		if (strCodTaller == null)
			strCodTaller = "";
        strDescTaller=miCampo.getCampo(m05bConstantes.TAB_TALLER, m05bConstantes.COL_30_DESCRIP,m05bConstantes.COL_30_CODIGO, strCodTaller);				
		String sTipo=reformas.getRef_tipref();
		if (sTipo==null)
			sTipo="";
		
		%>
     <% if ((!(situacion.equals("B"))) &&  (sExisteMatricula.equals("1"))) {%>
       <TABLE class="buscar" width="100%">
		    <tr>
		       <td  align="right"  width="50%"> 
		     <% if	(accion==m05bConstantes.ACC_ACTUALIZAR){%>
		        <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/eliminar.gif"/-->
                <input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />				      					  		        
		     <%}%>
		      <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/> </td-->
              <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  		      

		</tr>
		  </TABLE>
     <%}%>		
		
		
		  <TABLE class="buscar">
		    <tr>
		      <td  valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
		      <td  valign="top" colspan="2" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
		      <td  valign="top" align="left" class="inputFieldTitle"><%= res.getString("etTipo")%></td>
		      <td  valign="top" align="left" class="inputFieldTitle" colspan="3"><%= res.getString("etTaller")%></td>
		    </tr>
		    <tr>
			  <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" disabled size="10" maxlength="6" readonly/> </td>
		      <td width="9%" align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
		      <td align="left"><a href='#' name='anchorFecha'  onClick='JavaScript:showCalendar("anchorFecha",idioma,document.all("Fecha"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></td>
		      <td align="left"> <select name="Tipo" class=inputField onchange="JavaScript:blur();" onblur=" borrar_buffer();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
		                    <option type=submit size="25"></option>
		                    <%=miCombo2.popCombo( m05bConstantes.COL_38_CODIGO,"NVL("+ campoTexto+m05bConstantes.COL_38_DESC+","+m05bConstantes.COL_38_DESC+")",
		        			m05bConstantes.TAB_TIPOREFORMAS, m05bConstantes.COL_38_CODIGO, m05bConstantes.COL_38_CODIGO, sTipo)%>
		          </select>
		       </td>
	           <td width="6%" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="CodTaller" VALUE="<%= strCodTaller%>" size="8" maxlength="4" ></td>
 			   <% if (mensaje.equals(m05bConstantes.MSG_NOEXISTETALL)) {
				    outMsg.println("<script> document.formReformas.CodTaller.focus();</script>");
			   }%>	           
			   <!--td>&nbsp;<INPUT TYPE="IMAGE" style="cursor: hand"  VALUE="Buscar" ONCLICK="JavaScript:fncBuscarTaller(formReformas);return false;" onMouseOver="top.status='Buscar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/buscar.gif" name="buscarT"/></td-->
               <td>&nbsp;<input type="button" class="botonS" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscarTaller(formReformas);return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  			   
			   <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="DescTaller" VALUE="<%=strDescTaller%>" size="26" maxlength="100" /></td>		      	  
		    </tr>
		    <tr>
		      <td align="left" valign="top" class="inputFieldTitle" colspan="3"><%= res.getString("etMarca")%>,<%= res.getString("etModelo")%></td>
		      <td align="left" valign="top" class="inputFieldTitle"><%= res.getString("etNumero")%></td>
		      <td align="left" valign="top" class="inputFieldTitle" colspan="3"><%= res.getString("etObservacion")%></td>
		    </tr>
		    <tr>
		     <td align="left" colspan="3"><INPUT class="inputField" TYPE="TEXT" NAME="Marca" VALUE="<%=sMarca%>" size="20" maxlength="20" /></td>
		     <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Numero" VALUE="<%=sNumero%>" size="30" maxlength="50"/></td>
		     <td align="left" colspan="3"><INPUT class="inputField" TYPE="TEXT" NAME="Observacion" VALUE="<%=sObserv%>" size="50" maxlength="100"/></td>
		    </tr>
		    </TABLE>
		<input type="hidden" name="Matricula" value="<%=matricula%>">
    <% if (situacion.equals("B")) {%>
    			<SCRIPT>
                      document.formReformas.Codigo.disabled=true;
                      document.formReformas.Fecha.disabled=true;
                      document.formReformas.Tipo.disabled=true;
                      document.formReformas.CodTaller.disabled=true;
                      document.formReformas.DescTaller.disabled=true;
                      document.formReformas.Marca.disabled=true;
                      document.formReformas.Numero.disabled=true;
                      document.formReformas.Observacion.disabled=true;
                      parent.document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      parent.document.all["calendario1"].border='0';   
                      parent.document.all["buscarT"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      parent.document.all["buscarT"].border='0';   
                </SCRIPT>
     <%}%>
<script>
	formatearFecha(document.formReformas.Fecha);
</script>	
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabReformas=document.getElementById("tabReformas");
   
   tabReformas.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>